-- This information tells other players more about the mod
name = "Toph"
description = "Toph for Don't Starve: Hamlet."
author = "HornetCorset"
version = "1.3" -- Version 1.3 included the addition of the "visible blindness" config option and the Boat Patch for non-SW DLCs.

-- This is the URL name of the mod's thread on the forum; the part after the ? and before the first & in the url
forumthread = "id=445539525"


-- This lets other players know if your mod is out of date, update it to match the current version in the game
api_version = 6

dont_starve_compatible = true
reign_of_giants_compatible = true
dst_compatible = false
shipwrecked_compatible = true
hamlet_compatible = true


icon_atlas = "modicon.xml"
icon = "modicon.tex"


configuration_options = 
{
    {
        name = "VISIBLE_BLINDNESS",
        label = "That red filter",
        default = 1,
        options =
		{
            {description = "Disabled", data = 0},
            {description = "Enabled", data = 1},
        },
    },
	
    {
        name = "CHEAT_MODE",
        label = "Makes Toph more OP",
        default = 0,
        options =
		{
            {description = "Disabled", data = 0},
--            {description = "Enabled", data = 1},
        },
    },
	
} 