PrefabFiles = {
	"toph",
}


Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/toph.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/toph.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/toph.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/toph.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/toph_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/toph_silho.xml" ),

    Asset( "IMAGE", "bigportraits/toph.tex" ),
    Asset( "ATLAS", "bigportraits/toph.xml" ),
	
	Asset( "IMAGE", "images/map_icons/toph.tex" ),
	Asset( "ATLAS", "images/map_icons/toph.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

GLOBAL.TOPH_MOD_CONFIG = {
	CHEAT_MODE = GetModConfigData("CHEAT_MODE"),
	VISIBLE_BLINDNESS = GetModConfigData("VISIBLE_BLINDNESS"),
}

--GLOBAL.STRINGS.NAMES.ARMORDIRT = "Dirt armor"
--GLOBAL.STRINGS.RECIPE_DESC.ARMORDIRT = "Protection with dirt!"
--GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.ARMORDIRT = "Made by Toph, for Toph."

-- The character select screen lines
GLOBAL.STRINGS.CHARACTER_TITLES.toph = "Toph"
GLOBAL.STRINGS.CHARACTER_NAMES.toph = "The Earthbender"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.toph = "*Can move the earth\n*Is blind\n*Can see with her feet"
GLOBAL.STRINGS.CHARACTER_QUOTES.toph = "\"I may be blind, but I can see with my feet.\""

-- Custom speech strings
STRINGS.CHARACTERS.TOPH = require "speech_toph"

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "toph")

AddMinimapAtlas("images/map_icons/toph.xml")
AddModCharacter("toph")